* {
    box-sizing: border-box;
    scroll-behavior: smooth;
}

body {
    background-color: rgb(28, 27, 25);
    margin: 0px;
    padding: 0px;
    font-family:'Montserrat';
    font-weight: 200;
    color: rgb(212, 204, 198);
}

body, div, header, nav, footer, a, ul, li, label, p, h1, h2, h3 {
    margin: 0;
    padding: 0;
}


/* ------------------ HEADER SECTION -------------------- */
.header {
    background-color: transparent;
    display: flex;
    justify-content: space-between;
    align-items: center;
    height: 80px;
    container-type: inline-size;
    container-name: header;
}


/* ---------- HEADER IMG-PORTADA ----------- */
.img_portada {
    max-width: 100vw;    /* 100% del ancho del viewport */
    max-height: 1080px;
    position: fixed;
    top: 0px;
    z-index: 10;
    overflow: hidden;
    display: flex;
    justify-content: center;
    border-bottom: 3px solid rgb(0, 0, 0);
    box-shadow: 0px 0px 30px rgb(0, 0, 0);
}
/* ---------- HEADER IMG-PORTADA ends ----------- */



/* ------------HEADER - NAV ---------------------------------- */
/* ----------- HEADER - NAV-Toggle ------------------- */
.header__checkbox { /*INPUT Checkbox no visible*/
    display: none;
}

.header__toggle-button { /* LABEL disparador del checkbox - Contenedor logo container img*/
    position: fixed;
    padding: 0px;
    z-index: 90;
    left: 20px;
}

.header__logo-container { /*Logo Container-Div dentro del LABEL*/
    margin: 0;
    padding: 0;
}

.header__logo { /*IMG del logo DMZ design*/
    width: 50px;
    margin: auto;
    box-shadow: 0 0 0px rgb(255, 255, 255);
    border-radius: 50%;
}

#logo-menu {
    will-change: transform;
    transition: transform 1s ease-out, box-shadow 0.4s, opacity 0.3s;
    z-index: 1000;
}

.header__checkbox:checked ~ .header__nav { /*Cuando el CheckBox Checked entonces el .header__nav*/
    display: flex; /* none; if you want to checked out and in */
    position: fixed;
}

.header__logo:hover {
    box-shadow: 0 0 5px rgb(255, 255, 255), 0 0 15px rgba(255, 255, 255, .9), 0 0 35px rgba(255, 255, 255, 0.7);
}
.header__logo:active {
    box-shadow: 0 0 8px rgb(12, 255, 243);
    opacity: 60%;
}
/* ------------ HEADER - NAV-Toggle ------------ Ends -- */




/* ------------ HEADER - NAV-list --------------------- */
.header__nav {
    display: flex;
    position: fixed;
    height: auto;
    width: auto;
    z-index: 80;
    justify-content: space-between;
    top: 25px;
    right: 50px;
}

.header__nav-list {
    display: flex;
    flex-direction: row;
    height: auto;
    width: auto;
    gap: 20px;
    z-index: 70;
}

.header__nav-item {
    list-style: none;
    }

.header__nav-item a {
    font-size: 1.4rem;
    font-weight: 400;
    color: rgb(214, 214, 214);
    text-decoration: none;
    transition-property: color;
    transition-duration: 0.3s;
    z-index: 70;
}

.header__nav-item a:hover {
    color: rgb(36, 231, 205);
}

.header__nav-item a:active {
    color: rgb(12, 255, 243);
}
/* ------------ HEADER - NAV-list --------------- Ends-- */




/* ------- HEADER QUERIES - NAV -------------- */
@container header (max-width: 700px) {

    .header__nav {
        display: flex;
        flex-direction: column;
        justify-content: center;

        position: fixed;
        top: 0;
        left: 0;

        width: 70vw;
        max-width: 300px;
        height: 100vh;



        background-color: rgba(24, 43, 58, 0.7);
        backdrop-filter: blur(18px); /* Desenfoque de 10px */
        -webkit-backdrop-filter: blur(18px); /* Soporte para Safari */

        border-right: 2px solid rgb(26, 160, 142);
        box-shadow: 10px 0 30px rgba(0,0,0,.5);

        /* oculto */
        transform: translateX(-100%);
        opacity: 0;
        visibility: hidden;
        pointer-events: none;

        transition:
            transform .45s ease,
            opacity .35s ease,
            visibility .35s;
    }

    /* MENU ABIERTO */
    .header__checkbox:checked ~ .header__nav {
        transform: translateX(0);
        opacity: 1;
        visibility: visible;
        pointer-events: auto;
    }

    .header__nav-list {
        display: flex;
        flex-direction: column;
        gap: 35px;

        margin: 0;
        padding-left: 50px;
    }

    .header__nav-item {
        list-style: none;

        opacity: 0;
        transform: translateX(-20px);

        transition:
            opacity .35s ease,
            transform .35s ease;
    }

    /* cascada */
    .header__checkbox:checked ~ .header__nav .header__nav-item {
        opacity: 1;
        transform: translateX(0);
    }

    .header__nav-item:nth-child(1) {
        transition-delay: .08s;
    }

    .header__nav-item:nth-child(2) {
        transition-delay: .16s;
    }

    .header__nav-item:nth-child(3) {
        transition-delay: .24s;
    }

    .header__nav-item:nth-child(4) {
        transition-delay: .36s;
    }

    .header__nav-item a {
        font-size: 2rem;
        font-weight: 400;
        color: rgb(214, 214, 214);
        text-decoration: none;
    }

    .header__logo {
        width: 60px;
        margin-top: 10px;
    }
}
/* ------- HEADER QUERIES - NAV ------------------- Ends-- */
/* -------------------------- NAV --------------------- Ends-- */


/* -------------------------- HEADER ---------------------- Ends-- */





/* -------------- HEADER lugar Container ------------- */
.lugar_container {
    width: 100%;
    display: flex;
    flex-flow: column wrap;
    margin: auto;
    position: fixed;
    bottom: 0px;
    z-index: 0;
    padding: 30px;
}


.lugar_header {
    position: relative;
    font-family: 'Courier New', Courier, monospace;
    font-weight: 400;
    font-size: 1.4rem;
    color: rgb(0, 61, 77);
    text-shadow: 0px 1px 1px rgb(69, 108, 126);
    justify-content: center;
    text-align: center;
}

@media screen and (max-width:1024px) {
    .lugar_container {
        flex-flow: row wrap;
        justify-content: center;
    }
    .lugar_header {
        font-size: 1.1rem;
        padding-left: 20px;
        padding-right: 20px;
    }
}
@media screen and (max-width:480px) {
    .lugar_container {
        flex-flow: column nowrap;
    } 
    .lugar_header {
        font-size: 1.4rem;
        width: 100%;
    }
}
/* -------------- HEADER Lugar Container ENDS------------- */



/* --------- TITULO PAGINA PRINCIPAL --------- */
.title_container {
    display: flex;
    flex-direction: column;
    max-width: 90vw;
    max-height: 100vh;
    justify-content: center;
    align-content: center;
    margin: auto;
    justify-items: center;
    text-align: center;
    position: relative;
    top: 200px;
    z-index: 30;
}

.main_title {
    font-family: 'SpecialElite';
    font-weight: 400;
    font-size: 5rem;
    text-align: center;
    color:  rgb(233, 233, 233);
    text-shadow: 0px 0x 10px rgb(49, 48, 46);
    margin: auto;
    position: relative;
}

.titulos_data {
    margin: auto;
    color: rgb(239, 244, 245);
    font-family: 'Montserrat';
    font-weight: 200;
    font-size: 1.4rem;
    position: relative;
    z-index: 30;
    max-width: 1200px;
    text-transform: uppercase;
    text-shadow: 0px 3px 4px rgb(0, 0, 0);
    padding: 40px;
}

/* --------- HEADER QUERIES - TITULO PAGINA PRINCIPAL -------- */
@media screen and (max-width:700px) {
    .title_container {
        top: 150px;
    }

    .main_title {
        font-size: 3rem;
    }

    .titulos_data {

        font-size: 1.2rem;
        padding: 40px;
    }
}
/*------ HEADER QUERIES - TITULO PAGINA PRINCIPAL ENDS ----- */
/* ------------------- TITULO PAGINA PRINCIPAL ends ------------*/

/* ------------------------ HEADER ENDS --------------------------- */





/* ---------- titulos Portfolio Section ---------- */
.titulos_portfolio {
    margin: auto;
    color: rgb(255, 255, 255);
    font-family: 'Montserrat';
    font-weight: 400;
    font-size: 1.7rem;
    position: relative;
    z-index: 30;
    max-width: 400px;
    text-transform: capitalize;
    text-shadow: 0px 3px 4px rgb(0, 0, 0);
    padding: 40px;
    transition-property: text-shadow, color;
    transition-duration: 0.3s;
}
.portfolio_link {
    text-decoration: none;
}
.titulos_portfolio:hover {
    color: rgb(0, 255, 242);
}
.titulos_portfolio:active {
    color: rgb(10, 54, 61);
    text-shadow: 0 0 15px rgb(0, 255, 242);
}
/* ------- titulos Portfolio Section ENDS ---------- */






/* ------------------------------- MAIN ----------------------------- */
.espacio {
    height: 100vh;
}


/*------------------- MAIN PORTFOLIO SECTION------------------*/
.portfolio {   /*----Contenedor de todo el portfolio---*/
    position: relative;
    color: antiquewhite;
    display: flex;
    flex-direction: column;
    text-align: center;
    container-name: portfolio;
    container-type: inline-size;
}

.title__project {
    font-family: 'Montserrat';
    font-weight: 600;
    font-size: 2rem;
    margin-top: 20px;
}
.subtitle__project  {
    font-family: 'Montserrat';
    font-weight: 200;
    font-size: 1rem;
    padding-bottom: 50px;
}


.img__project {
    max-width: 100%;
}



/* ------------- PORTFOLIO - El Hoyo del Conejo -------------*/

.portfolio__container-ehc { /*Contenedor 1 de los Proyectos del portfolio*/
    background: rgba(65, 31, 0, 0.5); /* linear-gradient(transparent, rgba(255, 145, 0, .5)); */
    backdrop-filter: blur(10px); /* Desenfoque de 10px */
    -webkit-backdrop-filter: blur(10px); /* Soporte para Safari */
    display: grid;
    grid-template-columns: repeat(8,minmax(100px,1fr));
    grid-template-rows: repeat(7,minmax(100px,1fr));
    grid-auto-rows: 1fr;
    grid-auto-flow: dense;
    grid-auto-columns: 1fr;
    gap: 25px;
    padding: 25px;
    padding-top: 80px;
    border-top: 1px solid rgba(134, 65, 0, 0.8);
    z-index: 60;
}

.contain_01_ehclogo {
    grid-column: span 2;
    grid-row: span 2;
}
.contain_02_ehcportada {
    grid-column: span 4;
    grid-row: span 2;
}
.contain_03_ehclogof {
    grid-column: span 2;
    grid-row: span 2;
}
.contain_04_ehcpunk {
    grid-column: span 2;
    grid-row: span 2;
}
.contain_05_ehcpata {
    grid-column: span 2;
    grid-row: span 2;
}
.contain_06_ehcantro {
    grid-column: span 2;
    grid-row: span 2;
}
.contain_07_ehcdejavu {
    grid-column: span 2;
    grid-row: span 2;
}
.contain_08_ehcclandestino {
    align-self: self-start;
    grid-column: span 2;
    grid-row: span 2;
}
.contain_09_ehcloqdureduro {
    align-self: self-start;
    grid-column: span 4;
    grid-row: span 3;
}
.contain_10_ehcluca {
    align-self: self-start;
    grid-column: span 2;
    grid-row: span 2;
}
.contain_11_espacio1 {
    grid-column: span 2;
    grid-row: span 1;
}
.contain_12_espacio2 {
    grid-column: span 2;
    grid-row: span 1;
}
/* ------------ PORTFOLIO - El Hoyo del Conejo - Ends ------*/




/* ------------ PORTFOLIO - Redpill Vintage Boutique  ------*/
.portfolio__container-rpvb {
    background: rgba(46, 56, 0, 0.4);
    backdrop-filter: blur(25px); /* Desenfoque de 10px */
    -webkit-backdrop-filter: blur(25px); /* Soporte para Safari */
    display: grid;
    grid-template-columns: repeat(8,minmax(100px,1fr));
    grid-template-rows: repeat(8,minmax(100px,1fr));
    grid-auto-rows: 1fr;
    grid-auto-flow: dense;
    grid-auto-columns: 1fr;
    gap: 25px;
    padding: 25px;
    padding-top: 80px;
    padding-bottom: 100px;
    border-top: 1px solid rgba(100, 90, 0, 0.8);
    z-index: 60;
}

.contain_13_rpvb {
    grid-column: span 8;
    grid-row: span 4;
}

.contain_14_rpvb {
    grid-column: span 2;
    grid-row: span 2;
}

.contain_15_rpvb {
    grid-column: span 4;
    grid-row: span 2;
}

.contain_16_rpvb {
    grid-column: span 2;
    grid-row: span 2;
}

.contain_17_rpvb {
    grid-column: span 4;
    grid-row: span 4;
}

.contain_18_rpvb {
    grid-column: span 4;
    grid-row: span 2;
}
/* ------------ PORTFOLIO - Redpill Vintage Boutique  ------ Ends - */



/* ------------------- PORTFOLIO - 3D Renders ------------------- */
.portfolio__container-3d { /*Contenedor 1 de los Proyectos del portfolio*/
    background: rgba(24, 0, 32, 0.4);
    backdrop-filter: blur(10px); /* Desenfoque de 10px */
    -webkit-backdrop-filter: blur(10px); /* Soporte para Safari */
    display: grid;
    grid-template-columns: repeat(8,minmax(100px,1fr));
    grid-template-rows: repeat(7,minmax(100px,1fr));
    grid-auto-rows: 1fr;
    grid-auto-flow: dense;
    grid-auto-columns: 1fr;
    gap: 25px;
    padding: 25px;
    padding-top: 80px;
    padding-bottom: 100px;
    border-top: 1px solid rgba(107, 0, 134, 0.8);
    z-index: 60;
}

.contain_20_3d {
    grid-column: span 2;
    grid-row: span 3;
}

.contain_21_3d {
    grid-column: span 6;
    grid-row: span 3;
}

.contain_22_3d {
    grid-column: span 2;
    grid-row: span 2;
}

.contain_23_3d {
    grid-column: span 2;
    grid-row: span 2;
}

.contain_24_3d {
    grid-column: span 2;
    grid-row: span 2;
}

.contain_25_3d {
    grid-column: span 2;
    grid-row: span 2;
}

.contain_26_3d {
    grid-column: span 4;
    grid-row: span 2;
}

.contain_27_3d {
    position: relative;
    top: 0px;
    grid-column: span 4;
    grid-row: span 2;
}


.subtitle_contain_22_3d {
    margin: 0;
    margin-top: 10px;
}

.title_project_3d, .subtitle_project_3d {
    margin-bottom: 0;
    padding-bottom: 0;
}
/* ------------------- PORTFOLIO - 3D Renders ---------------- Ends - */



/* ------------------- PORTFOLIO - Under Farra ------------------- */
.portfolio__container-uf { /*Contenedor 1 de los Proyectos del portfolio*/
    background: rgba(56, 50, 0, 0.5);
    backdrop-filter: blur(25px); /* Desenfoque de 10px */
    -webkit-backdrop-filter: blur(25px); /* Soporte para Safari */
    display: grid;
    grid-template-columns: repeat(8,minmax(100px,1fr));
    grid-template-rows: repeat(6,minmax(100px,1fr));
    grid-auto-rows: 1fr;
    grid-auto-flow: dense;
    grid-auto-columns: 1fr;
    gap: 25px;
    padding: 25px;
    padding-top: 80px;
    padding-bottom: 100px;
    border-top: 1px solid rgba(134, 120, 0, 0.8);
    border-bottom: 1px solid rgba(134, 120, 0, 0.2);
    z-index: 60;
}

.contain_01_uf {
    grid-column: span 2;
    grid-row: span 2;
}

.contain_02_uf {
    grid-column: span 2;
    grid-row: span 2;
}

.contain_03_uf {
    grid-column: span 2;
    grid-row: span 2;
}

.contain_04_uf {
    grid-column: span 2;
    grid-row: span 2;
}

.contain_05_uf {
    grid-column: span 2;
    grid-row: span 2;
}

.contain_06_uf {
    grid-column: span 2;
    grid-row: span 2;
    align-content: center;
}

.contain_07_uf {
    grid-column: span 2;
    grid-row: span 2;
}

.contain_08_uf {
    grid-column: span 2;
    grid-row: span 2;
}

.contain_09_uf {
    grid-column: span 2;
    grid-row: span 2;
}

.contain_10_uf {
    grid-column: span 2;
    grid-row: span 2;
}

.contain_11_uf {
    grid-column: span 2;
    grid-row: span 2;
}

.contain_12_uf {
    grid-column: span 2;
    grid-row: span 2;
}

/* ------------------- PORTFOLIO - Under Farra ---------------- Ends - */





/* ------------------- PORTFOLIO - Hanna ------------------- */
.portfolio__container-hanna { /*Contenedor 1 de los Proyectos del portfolio*/
    background: rgba(88, 53, 0, 0.5);
    backdrop-filter: blur(10px); /* Desenfoque de 10px */
    -webkit-backdrop-filter: blur(10px); /* Soporte para Safari */
    display: grid;
    grid-template-columns: repeat(8,minmax(100px,1fr));
    grid-template-rows: repeat(8,minmax(100px,1fr));
    grid-auto-rows: 1fr;
    grid-auto-flow: dense;
    grid-auto-columns: 1fr;
    gap: 25px;
    padding: 25px;
    padding-top: 80px;
    border-top: 1px solid rgba(134, 65, 0, 0.8);
    border-bottom: 1px solid rgba(134, 65, 0, 0.2);
    z-index: 60;
}

.contain_41_hanna {
    grid-column: span 4;
    grid-row: span 8;
}

.contain_42_hanna {
    grid-column: span 4;
    grid-row: span 5;
}

.contain_43_hanna {
    grid-column: span 4;
    grid-row: span 3;
}
/* ------------------- PORTFOLIO - Hanna --------------- Ends - */




/* ------------------- PORTFOLIO - Zoomin Onme ------------------- */
.portfolio__container-zoomin { /*Contenedor 1 de los Proyectos del portfolio*/
    background: rgba(85, 60, 30, 0.6);
    backdrop-filter: blur(10px); /* Desenfoque de 10px */
    -webkit-backdrop-filter: blur(10px); /* Soporte para Safari */
    display: grid;
    grid-template-columns: repeat(8,minmax(100px,1fr));
    grid-template-rows: repeat(8,minmax(100px,1fr));
    grid-auto-rows: 1fr;
    grid-auto-flow: dense;
    grid-auto-columns: 1fr;
    gap: 25px;
    padding: 25px;
    padding-top: 80px;
    padding-bottom: 100px;
    border-top: 1px solid rgba(182, 136, 94, 0.8);
    border-bottom: 1px solid rgba(182, 136, 94, 0.2);
    z-index: 60;
}

.contain_44_zoomin {
    grid-column: span 2;
    grid-row: span 4;
}

.contain_45_zoomin {
    grid-column: span 2;
    grid-row: span 4;
}

.contain_46_zoomin {
    grid-column: span 2;
    grid-row: span 4;
}

.contain_47_zoomin {
    grid-column: span 2;
    grid-row: span 4;
}

.contain_48_zoomin {
    grid-column: span 8;
    grid-row: span 1;
}

.contain_49_zoomin {
    grid-column: span 2;
    grid-row: span 4;
}

.contain_50_zoomin {
    grid-column: span 2;
    grid-row: span 4;
}

.contain_51_zoomin {
    grid-column: span 2;
    grid-row: span 4;
}

.contain_52_zoomin {
    grid-column: span 2;
    grid-row: span 4;
}
/* ------------------- PORTFOLIO - Zoomin Onme --------------- Ends - */




/*------ MAIN - PORTFOLIO - QUERIES---------------------------------*/

@container portfolio (max-width: 1024px) {
    /* --------- MEDIA -------- EL HOYO DEL CONEJO -------------1024---*/
    .portfolio__container-ehc { 
        grid-template-columns: repeat(4, 1fr);
        grid-template-rows: repeat(13, 1fr);
    }
    .contain_11_espacio1 {
        display: none;
    }
    .contain_12_espacio2 {
        display: none;
    }

    /* -------- MEDIA -------- REDPILL VINTAGE BOUTIQUE ---------1024---*/
    .portfolio__container-rpvb { 
        grid-template-columns: repeat(8, 1fr);
        grid-template-rows: repeat(20, 1fr);
    }
    .contain_13_rpvb {
        grid-column: span 8;
        grid-row: span 4;
    }
    .contain_14_rpvb {
        grid-column: span 4;
        grid-row: span 4;
    }
    .contain_15_rpvb {
        grid-column: span 8;
        grid-row: span 3;
    }
    .contain_16_rpvb {
        grid-column: 5/ span 4;
        grid-row: 5/ span 4;
    }
    .contain_17_rpvb {
        grid-column: span 8;
        grid-row: span 6;
    }
    .contain_18_rpvb {
        grid-column: span 8;
        grid-row: span 3;
    }



    /* --------- MEDIA -------- 3D -------------1024---*/
    .portfolio__container-3d { 
        grid-template-columns: 1fr 1fr;
        padding-bottom: 0px;
    }
    .contain_20_3d {
        grid-column: span 4;
        grid-row: span 6;
    }
    .contain_21_3d {
        grid-column: 1/ span 8;
        grid-row: 1/ span 4;
    }
    .contain_22_3d {
        grid-column: span 4;
        grid-row: span 3;
    }
    .contain_23_3d {
        grid-column: span 4;
        grid-row: span 3;
    }
    .contain_24_3d {
        grid-column: span 4;
        grid-row: span 3;
    }
    .contain_25_3d {
        grid-column: span 4;
        grid-row: span 3;
    }
    .contain_26_3d {
        grid-column: span 8;
        grid-row: span 4;
    }
    .contain_27_3d {
        position: relative;
        top: 0px;
        grid-column: span 8;
        grid-row: span 4;
    }


    /* --------- MEDIA -------- UNDER FARRA -------------1024---*/
    .portfolio__container-uf { 
        grid-template-columns: repeat(4, 1fr);
    }
    
    .contain_01_uf {
        grid-column: span 4;
        grid-row: span 4;
    }
    .contain_02_uf {
        grid-column: span 2;
        grid-row: span 2;
    }
    .contain_03_uf {
        grid-column: span 2;
        grid-row: span 2;
    }
    .contain_04_uf {
        grid-column: span 2;
        grid-row: span 2;
    }
    .contain_05_uf {
        grid-column: 1/ span 4;
        grid-row: 7/ span 4;
    }
    .contain_06_uf {
        grid-column: 3/ span 2;
        grid-row: 11/ span 2;
        align-content: center;
    }
    .contain_07_uf {
        grid-column: 1/ span 2;
        grid-row: 11/span 2;
    }
    .contain_08_uf {
        grid-column: span 2;
        grid-row: span 2;
    }
    .contain_09_uf {
        grid-column: span 2;
        grid-row: span 2;
    }
    .contain_10_uf {
        grid-column: span 2;
        grid-row: span 2;
    }
    .contain_11_uf {
        grid-column: span 2;
        grid-row: span 2;
    }
    .contain_12_uf {
        grid-column: span 2;
        grid-row: span 2;
    }


    /* ---------- MEDIA ---------- HANNA -----------------1024---*/
    .portfolio__container-hanna { 
        grid-template-columns: 1fr;
    }


    /* --------- MEDIA -------- ZOOMIN ONME -------------1024---*/
    .portfolio__container-zoomin { /*Contenedor 1 de los Proyectos del portfolio*/
        grid-template-columns: repeat(8, 1fr);
    }
    .contain_44_zoomin {
        grid-column: span 4;
        grid-row: span 6;
    }
    .contain_45_zoomin {
        grid-column: span 4;
        grid-row: span 6;
    }
    .contain_46_zoomin {
        grid-column: span 4;
        grid-row: span 6;
    }
    .contain_47_zoomin {
        grid-column: span 4;
        grid-row: span 6;
    }
    .contain_48_zoomin {
        grid-column: 1/ span 8;
        grid-row: 7/ span 1;
    }
    .contain_49_zoomin {
        grid-column: span 4;
        grid-row: span 6;
    }
    .contain_50_zoomin {
        grid-column: span 4;
        grid-row: span 6;
    }
    .contain_51_zoomin {
        grid-column: span 4;
        grid-row: span 6;
    }
    .contain_52_zoomin {
        grid-column: span 4;
        grid-row: span 6;
    }
}
/*------ END - PORTFOLIO Media Quaries ------------------------1024---*/



/*------ PORTFOLIO Media Quaries ----------------600---*/
@container portfolio (max-width: 600px) {
    /* --------- MEDIA -------- EL HOYO DEL CONEJO -------------600--- */
    .portfolio__container-ehc { 
        grid-template-columns: repeat(4, 1fr);
        grid-template-rows: repeat(13, 1fr);
        padding: 0px;
        padding-top: 40px;
        padding-bottom: 40px;
    }

    .contain_01_ehclogo {
        grid-column: span 2;
        grid-row: span 2;
    }
    .contain_02_ehcportada {
        grid-column: span 4;
        grid-row: span 3;
    }
    .contain_03_ehclogof {
        grid-column: span 2;
        grid-row: span 2;
    }
    .contain_04_ehcpunk {
        grid-column: span 4;
        grid-row: span 4;
    }
    .contain_05_ehcpata {
        grid-column: span 4;
        grid-row: span 4;
    }
    .contain_06_ehcantro {
        grid-column: span 4;
        grid-row: span 4;
    }
    .contain_07_ehcdejavu {
        grid-column: span 4;
        grid-row: span 4;
    }
    .contain_08_ehcclandestino {
        align-self: self-start;
        grid-column: span 4;
        grid-row: span 4;
    }
    .contain_09_ehcloqdureduro {
        align-self: self-start;
        grid-column: span 4;
        grid-row: span 3;
    }
    .contain_10_ehcluca {
        align-self: self-start;
        grid-column: 1/ span 4;
        grid-row: 26/ span 4;
    }
    .contain_11_espacio1 {
        display: none;
    }
    .contain_12_espacio2 {
        display: none;
    }
    /* --------- MEDIA -------- EL HOYO DEL CONEJO -------------600--- ends */


    /* -------- MEDIA -------- REDPILL VINTAGE BOUTIQUE ---------600--- */
    .portfolio__container-rpvb { 
        grid-template-columns: repeat(4, 1fr);
        padding: 0px;
        padding-top: 40px;
    }
    .contain_13_rpvb {
        grid-column: span 4;
        grid-row: span 4;
    }
    .contain_14_rpvb {
        grid-column: span 4;
        grid-row: span 4;
    }
    .contain_15_rpvb {
        grid-column: span 4;
        grid-row: span 2;
    }
    .contain_16_rpvb {
        grid-column: span 4;
        grid-row: span 4;
    }
    .contain_17_rpvb {
        grid-column: span 4;
        grid-row: span 4;
    }
    .contain_18_rpvb {
        grid-column: span 4;
        grid-row: span 2;
    }
    /* -------- MEDIA -------- REDPILL VINTAGE BOUTIQUE ---------600--- ends */



    /* --------- MEDIA ------------------ 3D ------------------600---*/
    .portfolio__container-3d { 
        grid-template-columns: repeat(8, 1fr);
        grid-template-rows: repeat(8, 1fr);
        padding: 0px;
        padding-top: 40px;
        padding-bottom: 40px;
    }
    .contain_20_3d {
        grid-column: span 8;
        grid-row: span 12;
    }
    .contain_21_3d {
        grid-column: 1/ span 8;
        grid-row: 1/ span 6;
    }
    .contain_22_3d {
        grid-column: span 8;
        grid-row: span 7;
    }
    .contain_23_3d {
        grid-column: span 8;
        grid-row: span 7;
    }
    .contain_24_3d {
        grid-column: span 8;
        grid-row: span 7;
    }
    .contain_25_3d {
        grid-column: span 8;
        grid-row: span 7;
    }
    .contain_26_3d {
        grid-column: span 8;
        grid-row: span 4;
    }
    .contain_27_3d {
        position: relative;
        grid-column: span 8;
        grid-row: span 4;
    }
    /* --------- MEDIA ------------------ 3D ------------------600--- ends */

    /* --------- MEDIA -------- UNDER FARRA -------------600--- */
    .portfolio__container-uf { 
        grid-template-columns: repeat(4, 1fr);
        padding: 0px;
        padding-top: 40px;
        padding-bottom: 40px;
    }
    
    .contain_01_uf {
        grid-column: span 4;
        grid-row: span 4;
    }
    .contain_02_uf {
        grid-column: span 2;
        grid-row: span 2;
    }
    .contain_03_uf {
        grid-column: span 2;
        grid-row: span 2;
    }
    .contain_04_uf {
        display: none;
    }
    .contain_05_uf {
        grid-column: 1/ span 4;
        grid-row: 7/ span 4;
    }
    .contain_06_uf {
        grid-column: span 4;
        grid-row: span 2;
        align-content: center;
    }
    .contain_07_uf {
        grid-column: span 4;
        grid-row: span 4;
    }
    .contain_08_uf {
        grid-column: span 4;
        grid-row: span 4;
    }
    .contain_09_uf {
        display: none;
    }
    .contain_10_uf {
        grid-column: 1/span 4;
        grid-row: 29/span 4;
    }
    .contain_11_uf {
        grid-column: span 4;
        grid-row: span 4;
    }
    .contain_12_uf {
        grid-column: span 4;
        grid-row: span 4;
    }
    /* --------- MEDIA -------- UNDER FARRA -------------600--- ends */

    /* ---------- MEDIA ---------- HANNA -----------------600---*/
    .portfolio__container-hanna { 
        grid-template-columns: repeat(4, 1fr);
        padding: 0px;
        padding-top: 40px;
        padding-bottom: 40px;
    }
    .contain_41_hanna {
        grid-column: span 4;
        grid-row: span 6;
    }

    .contain_42_hanna {
        grid-column: span 4;
        grid-row: span 5;
    }

    .contain_43_hanna {
        grid-column: span 4;
        grid-row: span 2;
    }
    /* ---------- MEDIA ---------- HANNA -----------------600--- ends */


    /* --------- MEDIA -------- ZOOMIN ONME -------------600---*/
    .portfolio__container-zoomin { /*Contenedor 1 de los Proyectos del portfolio*/
        grid-template-columns: repeat(4, 1fr);
        padding: 0px;
        padding-top: 40px;
        padding-bottom: 40px;
    }
    .contain_44_zoomin {
        grid-column: span 4;
        grid-row: span 5;
    }
    .contain_45_zoomin {
        grid-column: span 4;
        grid-row: span 5;
    }
    .contain_46_zoomin {
        grid-column: span 4;
        grid-row: span 5;
    }
    .contain_47_zoomin {
        grid-column: span 4;
        grid-row: span 5;
    }
    .contain_48_zoomin {
        grid-column: 1/ span 4;
        grid-row: 6/ span 1;
    }
    .contain_49_zoomin {
        grid-column: span 4;
        grid-row: span 5;
    }
    .contain_50_zoomin {
        grid-column: span 4;
        grid-row: span 5;
    }
    .contain_51_zoomin {
        grid-column: span 4;
        grid-row: span 5;
    }
    .contain_52_zoomin {
        grid-column: span 4;
        grid-row: span 5;
    }
}
/* --------- MEDIA -------- ZOOMIN ONME -------------600--- ends */

/*------ END - PORTFOLIO Quaries ---------600---*/

/*------ END - MAIN PORTFOLIO Quaries ------------*/









/* -------- Sector LOGO ---------- */
.sector_logo {
    background: linear-gradient(rgba(34, 25, 20, 0.3), rgb(26, 24, 22));
    backdrop-filter: blur(15px); /* Desenfoque de 10px */
    -webkit-backdrop-filter: blur(15px); /* Soporte para Safari */
    max-width: 100vw;
    height: 600px;
    display: flex;
    justify-content: center;
    position: relative;
    top: 0px;
    z-index: 60; 
    border-top: 1px solid rgba(12, 159, 179, 0.8)
}

.logo {
    background-color: transparent;
    margin: auto;
    justify-content: center;
    /*display: flex;*/
}

.logo_link {
    margin: auto;
}

.logo_img {
    width: 300px;
    border-radius: 50%;
    box-shadow: 0 0 0px rgb(255, 255, 255);
    transition-property: box-shadow, opacity;
    transition-duration: 0.3s;
    border-radius: 50%;
}

.logo_img:hover {
    box-shadow: 0px 0px 30px rgb(37, 153, 138);
}
.logo_img:active {
    box-shadow: 0px 0px 30px rgb(71, 255, 194);
    opacity: 60%;
}

.espacio_logo {
    height: 50vh;
}
/* -------- Sector LOGO ENDS ---------- */






/* -------------------- FOOTER - CONTACTO Container ------------------------ */
.footer_container {
    position: relative;
    background: linear-gradient(rgb(26, 22, 22), rgb(0, 0, 0));
    z-index: 20;
}

/* -------------------- Sector FOOTER CONTACTO - ABC ------------------------ */
.flexbox1 {
    width: 100%;
    min-height: 800px;
    display: flex;
    flex-flow: row wrap;
    margin: auto;
    position: relative;
}

.itemflex {
    width: 33%;
    height: 33%;
    margin: auto;
}



/* -------------- Footer CONTACTO - A - DATOS ------------- */
.datos {
    background-color: transparent;
    display: flex;
    flex-flow: column nowrap;
    align-items: center;
    justify-content: center;

}

.email_footer {
    font-family: 'Courier New', Courier, monospace;
    font-weight: 400;
    font-size: 1.8rem;
    text-decoration: none;
    text-align: center;
    color: rgb(47, 192, 192);
    transition-property: text-shadow, color;
    transition-duration: 0.3s;
}
.email_footer:hover {
    color: rgb(176, 228, 230);
    text-shadow: 0px 1px 6px rgb(85, 223, 216);
}
.email_footer:active {
    color: rgb(255, 254, 253);
    text-shadow: 0px 1px 8px rgb(0, 255, 242);
}

.whatsapp_send {
    text-decoration: none;
    color: rgb(172, 157, 146);
}

.whatsapp {
    background-color: transparent;
    display: flex;
    flex-flow: row nowrap;
    align-items: center;
    text-align: center;
}

.whatsapp_svg {
    width: 30px;
    height:30px;
    fill: currentColor;
    color: rgb(57, 224, 224);
    transition-property: box-shadow, width, height;
    transition-duration: 0.3s;
    border-radius: 50% 50% 50% 0;
}
.whatsapp_svg:hover {
    box-shadow: 0px 0px 15px rgba(108, 245, 215, 0.8);
    width: 40px;
    height: 40px;
}
.whatsapp_svg:active {
    box-shadow: inset 0px 0px 15px rgba(168, 255, 222, 0.9);
    width: 38px;
    height: 38px;
}

.numerowhatsapp {
    font-family: 'Courier New', Courier, monospace;
    font-weight: 400;
    font-size: 2rem;
    color: rgb(57, 224, 224);
    text-align: justify;
    transition-property: color, text-shadow;
    transition-duration: 0.3s;
}
.numerowhatsapp:hover {
    color: rgb(176, 228, 230);
    text-shadow: 0px 1px 6px rgb(85, 223, 216);
}
.numerowhatsapp:active {
    color: rgb(255, 254, 253);
    text-shadow: 0px 1px 8px rgb(0, 255, 242);
}
/* -------------- Sector Footer ABC DATOS ends------------- */


/* --------------- Sector FOOTER ABC FORMULARIO de Contacto --------- */
.consultar_formulario {
    background-color: transparent;
    display: flex;
}

.formulario_container {
    background-color: transparent;
    position: relative;
    z-index: 30;
    margin: auto;
    padding-top: 50px;
    padding-bottom: 20px;
}

.form_consultar {
    background-color: rgb(15, 17, 17);
    padding: 40px 20px;
    max-width: 600px;
    margin: auto;
    box-shadow: 0px 0px 25px rgb(0, 0, 0);
    border-radius: 10px;
    border: 2px solid rgb(0, 108, 112);
    font-size: 30px;
    position: relative;
}

.h2form {
    font-family: 'Montserrat';
    font-weight: 400;
    font-size: 2.6rem;
    color: rgb(144, 176, 184);
    letter-spacing: 0px;
    text-transform: uppercase;
    text-align: center;
    margin: 0px;
    margin-bottom: 20px;
}

.form_input {
    padding: 10px 20px;
}

input, textarea {
    width: 100%;
    box-sizing: border-box;
    background-color: rgb(28, 27, 25);
    padding: 6px 12px;
    border: 1px solid rgb(0, 90, 112);
    box-shadow: 0px 0px 25px rgb(8, 8, 8); 
    font-family: 'SpecialElite';
    font-weight: 400;
    font-size: 1.2rem;
    color: rgb(144, 176, 184);
    margin-top: 0px;
    transition: background-color .3s;
}

textarea {
    min-width: 100%;
    resize: vertical;
    min-height: 150px;
    max-height: 150px;
    font-size: 1.3rem;
}
textarea:hover {
    background-color: rgb(38, 51, 50);
}
input:hover {
    background-color: rgb(38, 51, 50);
}

label {
    font-family: 'Montserrat';
    font-weight: 200;
    font-size: 1.5rem;
    color: rgb(144, 176, 184);
    transition: color .3s, text-shadow .4s;
}
label:hover {
    color: rgb(176, 228, 230);
    text-shadow: 0px 1px 6px rgb(85, 223, 216);
}

input::placeholder, textarea::placeholder { /* Standard syntax for modern browsers */
    font-family: 'SpecialElite';
    font-weight: 200;
    font-size: 1.3rem;
    color: rgb(67, 83, 97);
}

input:focus, textarea:focus {
    border-color: rgb(35, 196, 224);
    color: rgb(39, 41, 44);
    background: linear-gradient(rgb(120, 145, 143), rgb(114, 131, 134));
}
input:focus-visible, textarea:focus-visible {
    outline: none;
}

.mi-boton {
    width: 100%;
    margin: auto;
    background-color: black;
    padding: 6px 18px;
    border:  1px solid rgb(0, 112, 112);
    box-shadow: 0px 0px 25px rgb(8, 8, 8); 
    font-family: 'Montserrat';
    font-weight: 400;
    font-size: 2rem;
    cursor: pointer;
    color: rgb(144, 176, 184);
    border-radius: 4px;
    margin-top: 20px;
    z-index: 0;
    position: relative;
    overflow: hidden;
    transition: color .6s, border 1s, box-shadow .4s;
}


.mi-boton::before {
    content: '';
    background-color: rgb(0, 112, 112);
    height: 700%;
    width: 200%;
    position: absolute;
    z-index: -1;
    bottom: 80%;
    left: 60%;
    transition: bottom 3s, left 1s, color .6s, border 1s, box-shadow .4s, background-color .4s;
    border-radius: 50%;
    box-shadow: 0 0 100px rgb(0, 182, 182);
}


.mi-boton:hover::before {
    bottom: -100%;
    left: -60%;
    transition: bottom .8s, left .6s;
}
.mi-boton:active::before {
    background-color: rgb(0, 182, 182);
    transition-duration: .5s;
}
.mi-boton:hover {
    color: rgb(193, 227, 228);
    border:  1px solid rgb(62, 247, 247);
    box-shadow: 0 0 15px rgb(0, 80, 112);
}
.mi-boton:active {
    color: #dffff5;
    border:  1px solid rgb(75, 255, 255);
    box-shadow: 0 0 15px rgb(2, 130, 180);
}

#respuesta {
    margin-top: 20px;
    font-size: 1.3rem;
    font-family: 'Montserrat';
    font-weight: 400;
    letter-spacing: 2px;
    text-transform: uppercase;
    justify-self: center;
    justify-content: center;
    justify-items: center;
    color: rgb(39, 195, 206);
}
/* --------------- Footer FORMULARIO de Contacto ENDS --------- */



/* --------- Sector FOOTER ABC Redes Instagram ------------- */
.redes {
    background-color: transparent;
    display: flex;
    flex-flow: column wrap;
}

.aredes {
    margin: auto;
}

.ig_img {
    width: 250px;
    height: 250px;
    border-radius: 20px;
    box-shadow: 0 0 0px rgb(0, 255, 242);
    transition: box-shadow 0.3s, width .4s, height .4s;
}

.ig_img:hover {
    box-shadow: 0px 0px 20px rgb(0, 112, 112);
}

.ig_img:active {
    box-shadow: 0px 0px 5px rgba(0, 255, 242, .9), 0px 0px 30px rgba(0, 245, 232, .7);
    width: 246px;
    height: 246px;
}
/* ------------ Sector FOOTER ABC Redes Instagram ENDS ---------- */
/* -------------------- Sector FOOTER ABC Ends ------------------------ */




/* -------------------- FOOTER FOOTER ------------------------ */
.footer_footer {
    margin: 0;
    border-top:  1px solid rgb(0, 112, 112);
    max-height: auto;
    padding: 20px;
    background-color: rgb(17, 15, 15);
}

.lugar_footer {
    font-family: 'Courier New', Courier, monospace;
    font-weight: 400;
    font-size: 1.4rem;
    color: rgb(0, 61, 77);
    text-shadow: 0px 1px 1px rgb(69, 108, 126);
    text-align: center;
}
/* --------------Footer Footer ENDS------------- */



/* --------------Footer Media Queries ------------ */
@media screen and (max-width:1350px) {
.flexbox1 {
    flex-flow: column wrap;
}

.itemflex {
    width: 100%;
    height: 100%;
}

.redes {
    flex-flow: row wrap;
    justify-content: space-evenly;
}

.aredes {
    padding-top: 40px;
    padding-bottom: 40px;
}

.datos {
    padding-top: 50px;
    padding-bottom: 50px;
}
}


@media screen and (max-width:1024px) {

.email_footer {
    font-size: 1.8rem;
}
.numerowhassap {
    font-size: 2rem;
}
}
@media screen and (max-width:630px) {
    .form_consultar {
        border-radius: 0px;
}
 
}

@media screen and (max-width:480px) {
.email_footer {
    font-size: 1.6rem;
}
.numerowhassap {
    font-size: 1.8rem;
}
.logo_img {
    width: 250px;
}
.h2form {
    font-size: 2.5rem;
}
}
/* --------------Footer Media Queries ------------ */
/* ------------Footer ENDS------------------ */